select s.sid, s.username,s.osuser
      ,s.machine, s.process, s.program, s.status
from  v$session s
where s.saddr in ( select x.k2gtdses from sys.x$k2gte x )  --need to run as sys, or create view on X$ view
and   not exists ( select l.sid
                   from v$lock l
                   where l.type = 'DX'
                   and   l.sid  = s.sid)
/